Issues with v12.1 Analytics Manual Installation

Document ID : KB000084606
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Error Message :
N/A

Various documentation issues are reported in the v12.1 manual installation:

A. The documentation doesn't specify if the a component install is required or optional. 

B. The Installing the AWI is out of sequence, should be earlier in the documentation. 

C. Manual installation - Installing the Datastore > why does it have this in the statement? 

"You can get all the required sources from the ONE Installer Package:<automic>/Automation.Platform/analytics/*."

Suggestion:  The manual installation should specify where to get the source from in the Components Download of the Download Center. 

D. The Prerequistes shouldn't be in the Installing the Datastore section:

https://docs.automic.com/documentation/webhelp/english/ALL/components/DOCU/12.1/AWA%20Guides/help.htm#Analytics/LandingPages/InstallingAnalyticsTOC/Aaas_setup_datastore.htm%3FTocPath%3DInstallation%2520Guide%7CInstalling%2520Analytics%7CNew%2520Installation%2520and%2520Configuration%7CManual%2520Installation%7CInstalling%2520the%2520Datastore%7C_____0

Suggestion:  It should be in its own separate section or under the System Requirements. 

E. Installing the Datastore on Windows:

https://docs.automic.com/documentation/webhelp/english/ALL/components/DOCU/12.1/AWA%20Guides/help.htm#Analytics/Aaas_setup_datastore_windows.htm%3FTocPath%3DInstallation%2520Guide%7CInstalling%2520Analytics%7CNew%2520Installation%2520and%2520Configuration%7CManual%2520Installation%7CInstalling%2520the%2520Datastore%7C_____1 

The example should be consistent and stay with the port:5432 in the manual installation instruction: 

DEFINE ANALYTICS-DATASTORE;\opt\automic\Automation.Platform\Analytics\datastore\pg_start.bat \opt\automic\External.Resources\postgresql 5434;\opt\automic\External.Resources\postgresql\pgsql 

Suggestion:  It should not reference 5434 since that's for the OneInstaller. 

Also, where is the pg_start.bat? It cannot be found anywhere in the installation package for Analytics. If a user has to create it, what's the content inside the pg_start.bat?

Suggestion:  This should be clarified and documented. 

F. The Analytics Backend requirement says JRE, but examples are JDK:

DEFINE ANALYTICS-BACKEND;/opt/automic/External.Resources/JDK/jdk1.8.0_101/bin/java -jar analytics-backend.jar;/opt/automic/Automation.Platform/Analytics/backend

Suggestion:  The documentation should clarify what's the benefits between JRE and JDK. 
Cause:
Cause type:
Defect
Root Cause: N/A
Resolution:
The various documentation issues with the Analytics v12.1 manual installation have been addressed as follows:
A.  The New Installation and Configuration page contains a hint:

"In some circumstances you may not want to install all the Analytics components. Consult the component grid and the various schema outlined on the Introduction to Analytics page for help"

For additional clarity, this statement has been added:

"Analytics is an optional component. Consult the component grid and the various schema outlined on the  Introduction to Analytics page for help."

B. Will be fixed in v12.2 documentation.
C. Removed.  The user has been directed to download directly from Postgres.
D. Updated.
E. Removed.
F. Updated to JRE:

DEFINE ANALYTICS-BACKEND;/opt/automic/External.Resources/JRE/jre1.8.0_101/bin/java -jar analytics-backend.jar;/opt/automic/Automation.Platform/Analytics/backend



Fix Status: In Progress

Fix Version(s):
Component: Documentation

Automation Engine 12.2.0 - Planned release date: 2018-06-19
Additional Information:
Workaround :
N/A